%define module  IPC-ShareLite
%define version 0.08
%define release 3mdk
%define	pdir	IPC
%define pname   ShareLite


Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pname}-%{version}.tar.gz
Url: 		http://search.cpan.org/search?dist=IPC-ShareLite
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl
BuildRequires:	perl-devel

%description
IPC-ShareLite module for perl.  IPC::ShareLite provides a simple
interface to shared memory, allowing data to be efficiently
communicated between processes.  Your operating system must support
SysV IPC (shared memory and semaphores) in order to use this module.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix} </dev/null
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT%{_prefix}"

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README TODO
%{_mandir}/*/*
%dir %{perl_vendorlib}/*/auto/IPC/ShareLite
%attr(755,root,root) %{perl_vendorlib}/*/auto/IPC/ShareLite/ShareLite.so
%{perl_vendorlib}/*/auto/IPC/ShareLite/autosplit.ix
%dir %{perl_vendorlib}/*/IPC
%{perl_vendorlib}/*/IPC/ShareLite.pm

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.08-3mdk
- rebuild

* Tue Jul 23 2002 Philippe Libat <philippe@mandrakesoft.com> 0.08-2mdk
- rebuild for perl 5.8.0

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.08-1mdk
- from Peter Chen <petechen@netilla.com> :
	- 0.08
